# class RDoc::Markup::Special

frozen_string_literal: false

Hold details of a special sequence

### Attributes

text[RW]

Special text

type[R]

Special type

### Public Class Methods

new(type, text) click to toggle source

Creates a new special sequence of `type` with `text`

    # File lib/rdoc/markup/special.rb, line 20
    def initialize(type, text)
      @type, @text = type, text
    end

### Public Instance Methods

==(o) click to toggle source

Specials are equal when the have the same text and type

    # File lib/rdoc/markup/special.rb, line 27
    def ==(o)
      self.text == o.text && self.type == o.type
    end